### Signal

# Gdk Device::tool-changed

#### Declaration

    void
    tool_changed (
      GdkDevice self,
      GdkDeviceTool* tool,
      gpointer user_data
    )

#### Description [src]

Emitted on pen/eraser devices whenever tools enter or leave proximity.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`tool` | `GdkDeviceTool`
| The new current tool.
| The data is owned by the caller of the function.